Bug 449179 - Visual bugs during zoom animation
Summary: Visual bugs during zoom animation
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: view-engine: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-25 21:42 UTC by popov895
Modified: 2022-02-25 19:37 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 22.04


Attachments
Icons view (1.23 MB, video/mp4)
2022-01-25 21:45 UTC, popov895
Details
Compact view (227.92 KB, video/mp4)
2022-01-25 21:51 UTC, popov895
Details
Yet another video. Resetting zoom from huge to smallest. (91.97 KB, video/mp4)
2022-01-29 10:24 UTC, popov895
Details
Yet another bug when renaming a file/folder (52.42 KB, video/mp4)
2022-02-23 13:00 UTC, popov895
Details

Note You need to log in before you can comment on or make changes to this bug.
Description popov895 2022-01-25 21:42:09 UTC
SUMMARY

Under some conditions, zooming animation leads to annoying visual bugs. Please, see attachments for details..

SOFTWARE/OS VERSIONS

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.24.80
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.3
Graphics Platform: X11
Comment 1 popov895 2022-01-25 21:45:56 UTC
Created attachment 145938 [details]
Icons view

Icons view, minimum zoom level. Zooming in and out causes some icons to "jump".
Comment 2 popov895 2022-01-25 21:51:08 UTC
Created attachment 145939 [details]
Compact view

Compact view, minimum zoom level. Zooming in and out causes the labels to be cut off during animation.
Comment 3 popov895 2022-01-27 08:29:54 UTC
It may be worth disabling the zoom animation.
Comment 4 popov895 2022-01-29 10:24:42 UTC
Created attachment 146028 [details]
Yet another video. Resetting zoom from huge to smallest.
Comment 5 Bug Janitor Service 2022-02-01 13:05:48 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/dolphin/-/merge_requests/338
Comment 6 Felix Ernst 2022-02-13 12:16:38 UTC
Git commit a05343530d0f43434715888902067512309098ce by Felix Ernst, on behalf of Eugene Popov.
Committed on 13/02/2022 at 12:16.
Pushed by felixernst into branch 'master'.

Fix zooming animation

Current implementation of the zooming animation is a bit buggy.
This MR fixes the following issues:
* in the Icon view mode, the icons sometimes "jump"
* in the Compact view mode, the labels sometimes are cut off

M  +11   -12   src/kitemviews/kitemlistview.cpp
M  +27   -2    src/kitemviews/kitemlistwidget.cpp
M  +11   -0    src/kitemviews/kitemlistwidget.h
M  +23   -21   src/kitemviews/kstandarditemlistwidget.cpp
M  +1    -0    src/kitemviews/kstandarditemlistwidget.h
M  +8    -0    src/kitemviews/private/kitemlistviewanimation.cpp
M  +3    -3    src/kitemviews/private/kitemlistviewanimation.h

https://invent.kde.org/system/dolphin/commit/a05343530d0f43434715888902067512309098ce
Comment 7 popov895 2022-02-23 13:00:33 UTC
Created attachment 147073 [details]
Yet another bug when renaming a file/folder
Comment 8 popov895 2022-02-23 15:14:47 UTC
Reopened since Comment 7.
Comment 9 Ismael Asensio 2022-02-25 19:37:06 UTC
Git commit 82509612067bd39355372d8dc2ceed932f91d130 by Ismael Asensio, on behalf of Eugene Popov.
Committed on 25/02/2022 at 19:37.
Pushed by iasensio into branch 'master'.

[CompactView] Remove animation on file rename

This MR fixes an issue where the label is cut off when renaming in Compact View mode.
FIXED-IN: 22.04

M  +2    -20   src/kitemviews/kitemlistview.cpp
M  +0    -2    src/kitemviews/kitemlistview.h

https://invent.kde.org/system/dolphin/commit/82509612067bd39355372d8dc2ceed932f91d130